org.codehaus.groovy.runtime

## Class SqlGroovyMethods

- java.lang.Object
- - org.codehaus.groovy.runtime.SqlGroovyMethods

-     public class SqlGroovyMethods
      extends java.lang.Object

  This class defines all the new SQL-related groovy methods which enhance the normal JDK SQL classes when inside the Groovy environment. Static methods are used with the first parameter the destination class.
  Author:
    Paul King, John Hurst

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SqlGroovyMethods()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `asBoolean(GroovyResultSet grs)` Coerce a GroovyResultSet to a boolean value.
    `static java.util.Iterator<ResultSetMetaDataWrapper>` | `iterator(java.sql.ResultSetMetaData resultSetMetaData)` Return an Iterator given a ResultSetMetaData.
    `static GroovyRowResult` | `toRowResult(java.sql.ResultSet rs)` Returns a GroovyRowResult given a ResultSet.
    `static java.sql.Timestamp` | `toTimestamp(java.util.Date d)` Return a java.sql.Timestamp given a java.util.Date.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SqlGroovyMethods

          public SqlGroovyMethods()

  - ### Method Detail

    - #### toRowResult

          public static GroovyRowResult toRowResult(java.sql.ResultSet rs)
                                             throws java.sql.SQLException

      Returns a GroovyRowResult given a ResultSet.
      Parameters:
        `rs` - a ResultSet
      Returns:
        the resulting GroovyRowResult
      Throws:
        `java.sql.SQLException` - if a database error occurs
      Since:
        1.6.0

    - #### toTimestamp

          public static java.sql.Timestamp toTimestamp(java.util.Date d)

      Return a java.sql.Timestamp given a java.util.Date.
      Parameters:
        `d` - a date
      Returns:
        the date wrapped as a Timestamp
      Since:
        1.6.6

    - #### asBoolean

          public static boolean asBoolean(GroovyResultSet grs)

      Coerce a GroovyResultSet to a boolean value. A GroovyResultSet is coerced to false if there are no more rows to iterate over, and to true otherwise.
      Parameters:
        `grs` - the GroovyResultSet
      Returns:
        the boolean value
      Since:
        1.7.0

    - #### iterator

          public static java.util.Iterator<ResultSetMetaDataWrapper> iterator(java.sql.ResultSetMetaData resultSetMetaData)

      Return an Iterator given a ResultSetMetaData. Enables Groovy collection method syntactic sugar on ResultSetMetaData.
      Parameters:
        `resultSetMetaData` - the ResultSetMetaData to iterate over
      Returns:
        an iterator for the ResultSetMetaData
      Since:
        1.7